E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSsl::MbedTls::DigesterImp Class Reference

An implementation of the GSsl::DigesterImpBase interface for MbedTls. More...

`#include <gssl_mbedtls.h>`

Inheritance diagram for GSsl::MbedTls::DigesterImp:

## Public Member Functions
| DigesterImp (const std::string &, const std::string &)
virtual void | add (const std::string &) override
| Implements Digester::add().
virtual std::string | value () override
| Implements Digester::value().
virtual std::string | state () override
| Implements Digester::state().
virtual size_t | blocksize () const override
| Implements Digester::blocksize().
virtual size_t | valuesize () const override
| Implements Digester::valuesize().
virtual size_t | statesize () const override
| Implements Digester::statesize().
Public Member Functions inherited from GSsl::DigesterImpBase
virtual | ~DigesterImpBase ()
| Destructor.

## Detailed Description

An implementation of the GSsl::DigesterImpBase interface for MbedTls.

Definition at line 332 of file gssl_mbedtls.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gssl/gssl_mbedtls.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gssl/gssl_mbedtls.cpp